Next: Sorting utilities Up: Data management routines Previous: psb_sp_getrow Extract Contents

## psb_sizeof -- Memory occupation

This function computes the memory occupation of a PSBLAS object.

    isz = psb_sizeof(a)
    isz = psb_sizeof(desc_a)
    isz = psb_sizeof(prec)

Type:
  Asynchronous.
On Entry
a
  A sparse matrix .
  Scope: local
  Type: required
  Intent: in.
  Specified as: a structured data of type spdata`psb_Tspmat_type`.
desc_a
  Communication descriptor.
  Scope: local
  Type: required
  Intent: in.
  Specified as: a structured data of type descdata`psb_desc_type`.
prec
  Scope: local
  Type: required
  Intent: in.
  Specified as: a preconditioner data structure precdata`psb_prec_type`.
On Return
Function value
  The memory occupation of the object specified in the calling sequence, in bytes.
  Scope: local
  Returned as: an `integer(psb_long_int_k_)` number.